xine-lib: cdda_input_plugin_t Struct Reference

xine-lib 1.2.13-20230125hg15249

Data Fields
cdda_input_plugin_t Struct Reference

## Data Fields
input_plugin_t | input_plugin
xine_stream_t * | stream
struct { |
char * cdiscid |
char * disc_title |
char * disc_year |
char * disc_artist |
char * disc_category |
int fd |
uint32_t disc_id |
int disc_length |
trackinfo_t * track |
int num_tracks |
int have_cddb_info |
} | cddb |
int | net_fd
int | track
char * | mrl
int | first_frame
int | current_frame
int | last_frame
char * | device
unsigned char | cache [90][2352]
int | cache_first
int | cache_last
int | tripple
time_t | last_read_time

## Field Documentation

## ◆ cache

unsigned char cdda_input_plugin_t::cache[90][2352]

## ◆ cache_first

int cdda_input_plugin_t::cache_first

## ◆ cache_last

int cdda_input_plugin_t::cache_last

## ◆ [struct]

struct { ... } cdda_input_plugin_t::cddb

## ◆ cdiscid

char* cdda_input_plugin_t::cdiscid

## ◆ current_frame

int cdda_input_plugin_t::current_frame

## ◆ device

char* cdda_input_plugin_t::device

## ◆ disc_artist

char* cdda_input_plugin_t::disc_artist

## ◆ disc_category

char* cdda_input_plugin_t::disc_category

## ◆ disc_id

uint32_t cdda_input_plugin_t::disc_id

## ◆ disc_length

int cdda_input_plugin_t::disc_length

## ◆ disc_title

char* cdda_input_plugin_t::disc_title

## ◆ disc_year

char* cdda_input_plugin_t::disc_year

## ◆ fd

int cdda_input_plugin_t::fd

Referenced by cdda_class_get_autoplay_list(), cdda_close(), and cdda_open().

## ◆ first_frame

int cdda_input_plugin_t::first_frame

## ◆ have_cddb_info

int cdda_input_plugin_t::have_cddb_info

## ◆ input_plugin

input_plugin_t cdda_input_plugin_t::input_plugin

Referenced by cdda_class_get_autoplay_list(), cdda_close(), and cdda_open().

## ◆ last_frame

int cdda_input_plugin_t::last_frame

## ◆ last_read_time

time_t cdda_input_plugin_t::last_read_time

## ◆ mrl

char* cdda_input_plugin_t::mrl

## ◆ net_fd

int cdda_input_plugin_t::net_fd

Referenced by cdda_class_get_autoplay_list(), and cdda_close().

## ◆ num_tracks

int cdda_input_plugin_t::num_tracks

## ◆ stream

xine_stream_t* cdda_input_plugin_t::stream

Referenced by cdda_class_get_autoplay_list().

## ◆ track [1/2]

trackinfo_t* cdda_input_plugin_t::track

## ◆ track [2/2]

int cdda_input_plugin_t::track

## ◆ tripple

int cdda_input_plugin_t::tripple

The documentation for this struct was generated from the following file:

- xine-lib-1.2.13/src/input/input_cdda.c